version: "3.8"

networks:
  default:
    name: traefik

services:
  resilien-staging:
    container_name: resilien-staging
    build: .
    image: registry.weko.io/resilien_fr:staging
    restart: always
    labels:
      traefik.enable: "true"
      traefik.http.routers.resilien-staging.rule: "Host(`staging.${URL}`)"
      traefik.http.routers.resilien-staging.entrypoints: "web"
      com.centurylinklabs.watchtower.enable: true
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
